diff -u lilo-22.8/debian/lilo.kernel-postrm lilo-22.8/debian/lilo.kernel-postrm
--- lilo-22.8/debian/lilo.kernel-postrm
+++ lilo-22.8/debian/lilo.kernel-postrm
@@ -2,2 +2,4 @@
-# Do not abort kernel removal in case of error
-lilo </dev/null >&2 || true
+if [ -e /etc/lilo.conf ]; then
+    # Do not abort kernel removal in case of error
+    lilo </dev/null >&2 || true
+fi
diff -u lilo-22.8/debian/lilo.kernel-postinst 
lilo-22.8/debian/lilo.kernel-postinst
--- lilo-22.8/debian/lilo.kernel-postinst
+++ lilo-22.8/debian/lilo.kernel-postinst
@@ -2 +2,5 @@
-lilo </dev/null >&2
+if [ -e /etc/lilo.conf ]; then
+    lilo </dev/null >&2
+else
+    echo >&2 "Warning: Not updating LILO; /etc/lilo.conf not found"
+fi
diff -u lilo-22.8/debian/lilo.initramfs-post-update 
lilo-22.8/debian/lilo.initramfs-post-update
--- lilo-22.8/debian/lilo.initramfs-post-update
+++ lilo-22.8/debian/lilo.initramfs-post-update
@@ -7,5 +7,9 @@
        ;;
     *)
-       lilo </dev/null >&2
+       if [ -e /etc/lilo.conf ]; then
+           lilo </dev/null >&2
+       else
+           echo >&2 "Warning: Not updating LILO; /etc/lilo.conf not found"
+       fi
        ;;
 esac
diff -u lilo-22.8/debian/changelog lilo-22.8/debian/changelog
--- lilo-22.8/debian/changelog
+++ lilo-22.8/debian/changelog
@@ -1,3 +1,11 @@
+lilo (1:22.8-8.3) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Change kernel and initramfs hook scripts to do nothing if lilo.conf
+    does not exist (Closes: #594479)
+
+ -- Ben Hutchings <b...@decadent.org.uk>  Sat, 28 Aug 2010 03:10:47 +0100
+
 lilo (1:22.8-8.2) unstable; urgency=high
 
   * Non-maintainer upload.
--- END ---

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

Attachment: signature.asc
Description: This is a digitally signed message part

Reply via email to